---
title: Firefox developer release notes
slug: Mozilla/Firefox/Releases
tags:
  - Firefox
  - Landing
  - Mozilla
  - Release
---
<div>{{FirefoxSidebar}}</div>

<p class="summary">Below you'll find links to the developer release notes for every Firefox release. These lovingly-crafted notes provide details on what features and APIs were added and improved and what bugs were eliminated in each version of Firefox. All written to give developers like you the information they need most. You're welcome.</p>

<div class="multiColumnList">{{ListSubpages("",1,1,1)}}</div>

<p><br>
 Whew! That's a lot of Firefoxen!</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Mozilla/Thunderbird/Releases">Thunderbird developer release notes</a></li>
</ul>
